Skip to main content
POST
Create job

Authorizations

Authorization
string
header
required

API Token used for authentication. Example: "Authorization: Bearer {token}"

Query Parameters

expand
enum<string>[]

Expandable response fields. Repeat the parameter to request multiple expansions.

Supported values:

  • workforce: costs 5 credits per company and adds the workforce field to CompanyInfo.
Available options:
workforce

Body

application/json
domains
string[]
required

A list of domains to enrich. Up to 10,000 domains can be provided.

Required array length: 1 - 10000 elements
webhook_url
string<uri> | null

The webhook URL to receive the notification when processing completes.

Maximum string length: 2048

Response

OK

job_id
string<uuid>

Unique identifier for the bulk enrichment job.

status
enum<string>

Current status of the job (pending, processing, completing, completed, failed).

Available options:
pending,
processing,
completing,
completed,
failed
total_domains
integer<int32>

Total number of unique domains to be enriched.

estimated_credits
integer<int32>

Estimated credit cost for the enrichment job.

invalid_url_count
integer<int32>

Number of input URLs that could not be parsed as valid LinkedIn company URLs.